searchData={"items":[{"type":"module","doc":"","title":"ExLang","ref":"ExLang.html"},{"type":"function","doc":"Returns a list of matching language tags based on the inserted tag.","title":"ExLang.filter/2","ref":"ExLang.html#filter/2"},{"type":"function","doc":"iex> filter([~L\"de-DE\", ~L\"de-CH\", ~L\"deu\", ~L\"en-US\"], ~L\"de\")\n    [~L\"de-DE\", ~L\"de-CH\", ~L\"deu\"]\n\n    iex> filter([~L\"de-DE\", ~L\"de-CH\", ~L\"deu\", ~L\"en-US\"], ~L\"ger\")\n    [~L\"de-DE\", ~L\"de-CH\", ~L\"deu\"]\n\n    iex> filter([~L\"de-DE\", ~L\"de-CH\"], ~L\"de-DE\")\n    [~L\"de-DE\"]","title":"Examples - ExLang.filter/2","ref":"ExLang.html#filter/2-examples"},{"type":"function","doc":"Lists all known ISO639-3 languages to Locales, ordered alphabetically by their language code\n\n    iex> ~L\"deu\" in iso6393_languages()\n    true\n\n    iex> ~L\"eng\" in iso6393_languages()\n    true","title":"ExLang.iso6393_languages/0","ref":"ExLang.html#iso6393_languages/0"},{"type":"function","doc":"Translates a `Locale.t()`.","title":"ExLang.label/1","ref":"ExLang.html#label/1"},{"type":"function","doc":"iex> label(~L\"de-DE\")\n    \"German (Germany)\"\n\n    iex> label(~L\"zh-CN\")\n    \"Chinese (China)\"\n\n    iex> label(~L\"deu\")\n    \"German\"\n\n    iex> label(~L\"zh\")\n    \"Chinese\"\n\n    iex> label(~L\"zh-HANS\")\n    \"Chinese (Simplified)\"\n\n    iex> label(~L\"zh-HANT\")\n    \"Chinese (Traditional)\"\n\n    iex> label(~L\"yue-Hant-HK\")\n    \"Yue Chinese (Traditional - Hong Kong)\"\n\n    iex> label(~L\"en\")\n    \"English\"\n\n    iex> label(~L\"und\")\n    \"Undetermined\"","title":"Examples - ExLang.label/1","ref":"ExLang.html#label/1-examples"},{"type":"function","doc":"Parses a locale into a struct.","title":"ExLang.parse!/1","ref":"ExLang.html#parse!/1"},{"type":"function","doc":"iex> parse!(\"de-DE\")\n    ~L\"de-DE\"\n\n    iex> parse!(\"en-gb\")\n    ~L\"en-GB\"\n\n    iex> parse!(\"deu\")\n    ~L\"deu\"\n\n    iex> parse!(\"ger\")\n    ~L\"ger\"\n\n    iex> parse!(\"yue-Hant-HK\")\n    ~L\"yue-Hant-HK\"","title":"Examples - ExLang.parse!/1","ref":"ExLang.html#parse!/1-examples"},{"type":"function","doc":"Converts any tag to ISO639-3.","title":"ExLang.to_iso6393/1","ref":"ExLang.html#to_iso6393/1"},{"type":"function","doc":"iex> to_iso6393(~L\"de-DE\")\n    \"deu\"\n\n    iex> to_iso6393(~L\"ger\")\n    \"deu\"\n\n    iex> to_iso6393(~L\"de\")\n    \"deu\"\n\n    iex> to_iso6393(~L\"en\")\n    \"eng\"","title":"Examples - ExLang.to_iso6393/1","ref":"ExLang.html#to_iso6393/1-examples"},{"type":"function","doc":"Attempts to create an RFC3066 compliant language description. If the code\nis expressed in iso6393 form, it probably creates an invalid tag.","title":"ExLang.to_rfc3066/1","ref":"ExLang.html#to_rfc3066/1"},{"type":"function","doc":"iex> to_rfc3066(~L\"de-DE\")\n    \"de-DE\"\n\n    iex> to_rfc3066(~L\"de\")\n    \"de\"\n\n    iex> to_rfc3066(~L\"yue-Hant-HK\")\n    \"yue-Hant-HK\"","title":"Examples - ExLang.to_rfc3066/1","ref":"ExLang.html#to_rfc3066/1-examples"},{"type":"module","doc":"","title":"ExLang.Locale","ref":"ExLang.Locale.html"},{"type":"type","doc":"","title":"ExLang.Locale.t/0","ref":"ExLang.Locale.html#t:t/0"},{"type":"module","doc":"","title":"ExLang.Sigil","ref":"ExLang.Sigil.html"},{"type":"function","doc":"","title":"ExLang.Sigil.sigil_L/2","ref":"ExLang.Sigil.html#sigil_L/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}